/**
 * RoleClassContact.java
 *
 * File generated from the medication::RoleClassContact uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassContact.
 *
 * 
 */

@XmlType(name = "RoleClassContact")
@XmlEnum
@XmlRootElement(name = "RoleClassContact")
public enum RoleClassContact {
	@XmlEnumValue("CON")
	CON("CON"),
	@XmlEnumValue("ECON")
	ECON("ECON"),
	@XmlEnumValue("NOK")
	NOK("NOK");
	
	private final String value;

    RoleClassContact(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassContact fromValue(String v) {
        for (RoleClassContact c: RoleClassContact.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}